<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_06) on Wed Aug 20 17:16:46 PDT 2008 -->
<TITLE>
Sets (Google Collections Library - snapshot-20080820 (ALPHA))
</TITLE>

<META NAME="keywords" CONTENT="com.google.common.collect.Sets class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Sets (Google Collections Library - snapshot-20080820 (ALPHA))";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../com/google/common/collect/SetMultimap.html" title="interface in com.google.common.collect"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../com/google/common/collect/Sets.SetView.html" title="class in com.google.common.collect"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?com/google/common/collect/Sets.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Sets.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
com.google.common.collect</FONT>
<BR>
Class Sets</H2>
<PRE>
<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>com.google.common.collect.Sets</B>
</PRE>
<HR>
<DL>
<DT><PRE>public final class <B>Sets</B><DT>extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
Static utility methods pertaining to <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util"><CODE>Set</CODE></A> instances. Also see this
 class's counterparts <A HREF="../../../../com/google/common/collect/Lists.html" title="class in com.google.common.collect"><CODE>Lists</CODE></A> and <A HREF="../../../../com/google/common/collect/Maps.html" title="class in com.google.common.collect"><CODE>Maps</CODE></A>.
<P>

<P>
<DL>
<DT><B>Author:</B></DT>
  <DD>Kevin Bourrillion, Jared Levy</DD>
</DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.SetView.html" title="class in com.google.common.collect">Sets.SetView</A>&lt;<A HREF="../../../../com/google/common/collect/Sets.SetView.html" title="type parameter in Sets.SetView">E</A>&gt;</B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;An unmodifiable view of a set which may be backed by other sets; this view
 will change as the backing sets do.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Enum.html" title="class or interface in java.lang">Enum</A>&lt;E&gt;&gt;
<BR>
<A HREF="http://java.sun.com/javase/6/docs/api/java/util/EnumSet.html" title="class or interface in java.util">EnumSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#complementOf(java.util.Collection)">complementOf</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;E&gt;&nbsp;collection)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an <code>EnumSet</code> consisting of all enum values that are not in
 the specified collection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Enum.html" title="class or interface in java.lang">Enum</A>&lt;E&gt;&gt;
<BR>
<A HREF="http://java.sun.com/javase/6/docs/api/java/util/EnumSet.html" title="class or interface in java.util">EnumSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#complementOf(java.util.Collection, java.lang.Class)">complementOf</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;E&gt;&nbsp;collection,
             <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;E&gt;&nbsp;type)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an <code>EnumSet</code> consisting of all enum values that are not in
 the specified collection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="../../../../com/google/common/collect/Sets.SetView.html" title="class in com.google.common.collect">Sets.SetView</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#difference(java.util.Set, java.util.Set)">difference</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;E&gt;&nbsp;set1,
           <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;?&gt;&nbsp;set2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an unmodifiable <b>view</b> of the difference of two sets.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;T&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#filter(java.util.Set, com.google.common.base.Predicate)">filter</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;T&gt;&nbsp;unfiltered,
       <A HREF="../../../../com/google/common/base/Predicate.html" title="interface in com.google.common.base">Predicate</A>&lt;? super T&gt;&nbsp;predicate)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the elements of <code>unfiltered</code> that satisfy a predicate.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Enum.html" title="class or interface in java.lang">Enum</A>&lt;E&gt;&gt;
<BR>
<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#immutableEnumSet(E, E...)">immutableEnumSet</A></B>(E&nbsp;anElement,
                 E...&nbsp;otherElements)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an immutable set instance containing the given enum elements.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="../../../../com/google/common/collect/Sets.SetView.html" title="class in com.google.common.collect">Sets.SetView</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#intersection(java.util.Set, java.util.Set)">intersection</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;E&gt;&nbsp;set1,
             <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;?&gt;&nbsp;set2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an unmodifiable <b>view</b> of the intersection of two sets.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#newConcurrentHashSet()">newConcurrentHashSet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a thread-safe set backed by a hash map.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#newConcurrentHashSet(E...)">newConcurrentHashSet</A></B>(E...&nbsp;elements)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a thread-safe set backed by a hash map and containing the given
 elements.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#newConcurrentHashSet(java.lang.Iterable)">newConcurrentHashSet</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends E&gt;&nbsp;elements)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a thread-safe set backed by a hash map and containing the given
 elements.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#newConcurrentHashSet(java.util.Iterator)">newConcurrentHashSet</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;? extends E&gt;&nbsp;elements)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a thread-safe set backed by a hash map and containing the given
 elements.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Enum.html" title="class or interface in java.lang">Enum</A>&lt;E&gt;&gt;
<BR>
<A HREF="http://java.sun.com/javase/6/docs/api/java/util/EnumSet.html" title="class or interface in java.util">EnumSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#newEnumSet(java.lang.Iterable, java.lang.Class)">newEnumSet</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;E&gt;&nbsp;iterable,
           <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;E&gt;&nbsp;elementType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new <code>EnumSet</code> instance containing the given elements.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/HashSet.html" title="class or interface in java.util">HashSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#newHashSet()">newHashSet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an empty <code>HashSet</code> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/HashSet.html" title="class or interface in java.util">HashSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#newHashSet(E...)">newHashSet</A></B>(E...&nbsp;elements)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a <code>HashSet</code> instance containing the given elements.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/HashSet.html" title="class or interface in java.util">HashSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#newHashSet(java.lang.Iterable)">newHashSet</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends E&gt;&nbsp;elements)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a <code>HashSet</code> instance containing the given elements.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/HashSet.html" title="class or interface in java.util">HashSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#newHashSet(java.util.Iterator)">newHashSet</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;? extends E&gt;&nbsp;elements)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a <code>HashSet</code> instance containing the given elements.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/HashSet.html" title="class or interface in java.util">HashSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#newHashSetWithExpectedSize(int)">newHashSetWithExpectedSize</A></B>(int&nbsp;expectedSize)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an empty <code>HashSet</code> instance with enough capacity to hold the
 specified number of elements without rehashing.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#newIdentityHashSet(com.google.common.base.ReferenceType)">newIdentityHashSet</A></B>(<A HREF="../../../../com/google/common/base/ReferenceType.html" title="enum in com.google.common.base">ReferenceType</A>&nbsp;referenceType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an empty <code>Set</code> that uses identity to determine equality.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/LinkedHashSet.html" title="class or interface in java.util">LinkedHashSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#newLinkedHashSet()">newLinkedHashSet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an empty <code>LinkedHashSet</code> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/LinkedHashSet.html" title="class or interface in java.util">LinkedHashSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#newLinkedHashSet(java.lang.Iterable)">newLinkedHashSet</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends E&gt;&nbsp;elements)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a <code>LinkedHashSet</code> instance containing the given elements.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#newSetFromMap(java.util.Map)">newSetFromMap</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;E,<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Boolean.html" title="class or interface in java.lang">Boolean</A>&gt;&nbsp;map)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a set backed by the specified map.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&gt;
<BR>
<A HREF="http://java.sun.com/javase/6/docs/api/java/util/TreeSet.html" title="class or interface in java.util">TreeSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#newTreeSet()">newTreeSet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an empty <code>TreeSet</code> instance sorted by the natural sort
 ordering of its elements.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/TreeSet.html" title="class or interface in java.util">TreeSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#newTreeSet(java.util.Comparator)">newTreeSet</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Comparator.html" title="class or interface in java.util">Comparator</A>&lt;? super E&gt;&nbsp;comparator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an empty <code>TreeSet</code> instance with the given comparator.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/TreeSet.html" title="class or interface in java.util">TreeSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#newTreeSet(java.util.Comparator, E...)">newTreeSet</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Comparator.html" title="class or interface in java.util">Comparator</A>&lt;? super E&gt;&nbsp;comparator,
           E...&nbsp;elements)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a <code>TreeSet</code> instance containing the given elements sorted by
 the given comparator.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/TreeSet.html" title="class or interface in java.util">TreeSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#newTreeSet(java.util.Comparator, java.lang.Iterable)">newTreeSet</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Comparator.html" title="class or interface in java.util">Comparator</A>&lt;? super E&gt;&nbsp;comparator,
           <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends E&gt;&nbsp;elements)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a <code>TreeSet</code> instance containing the given elements sorted by
 the given comparator.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/TreeSet.html" title="class or interface in java.util">TreeSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#newTreeSet(java.util.Comparator, java.util.Iterator)">newTreeSet</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Comparator.html" title="class or interface in java.util">Comparator</A>&lt;? super E&gt;&nbsp;comparator,
           <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;? extends E&gt;&nbsp;elements)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a <code>TreeSet</code> instance containing the given elements sorted by
 the given comparator.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&gt;
<BR>
<A HREF="http://java.sun.com/javase/6/docs/api/java/util/TreeSet.html" title="class or interface in java.util">TreeSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#newTreeSet(E...)">newTreeSet</A></B>(E...&nbsp;elements)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a <code>TreeSet</code> instance containing the given elements sorted by
 their natural ordering.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&gt;
<BR>
<A HREF="http://java.sun.com/javase/6/docs/api/java/util/TreeSet.html" title="class or interface in java.util">TreeSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#newTreeSet(java.lang.Iterable)">newTreeSet</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends E&gt;&nbsp;elements)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a <code>TreeSet</code> instance containing the given elements sorted by
 their natural ordering.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&gt;
<BR>
<A HREF="http://java.sun.com/javase/6/docs/api/java/util/TreeSet.html" title="class or interface in java.util">TreeSet</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#newTreeSet(java.util.Iterator)">newTreeSet</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;? extends E&gt;&nbsp;elements)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a <code>TreeSet</code> instance containing the given elements sorted by
 their natural ordering.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E&gt; <A HREF="../../../../com/google/common/collect/Sets.SetView.html" title="class in com.google.common.collect">Sets.SetView</A>&lt;E&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/google/common/collect/Sets.html#union(java.util.Set, java.util.Set)">union</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;? extends E&gt;&nbsp;set1,
      <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;? extends E&gt;&nbsp;set2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an unmodifiable <b>view</b> of the union of two sets.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="immutableEnumSet(java.lang.Enum,java.lang.Enum)"><!-- --></A><A NAME="immutableEnumSet(E, E...)"><!-- --></A><H3>
immutableEnumSet</H3>
<PRE>
public static &lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Enum.html" title="class or interface in java.lang">Enum</A>&lt;E&gt;&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;E&gt; <B>immutableEnumSet</B>(E&nbsp;anElement,
                                                          E...&nbsp;otherElements)</PRE>
<DL>
<DD>Returns an immutable set instance containing the given enum elements.
 Internally, the returned set will be backed by an <A HREF="http://java.sun.com/javase/6/docs/api/java/util/EnumSet.html" title="class or interface in java.util"><CODE>EnumSet</CODE></A>. See
 <A HREF="../../../../com/google/common/collect/ImmutableSet.html" title="class in com.google.common.collect"><CODE>ImmutableSet</CODE></A> for a description of immutability. The set is
 serializable.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>anElement</CODE> - one of the elements the set should contain<DD><CODE>otherElements</CODE> - the rest of the elements the set should contain
<DT><B>Returns:</B><DD>an immutable <code>Set</code> instance containing those elements, minus
     duplicates</DL>
</DD>
</DL>
<HR>

<A NAME="newEnumSet(java.lang.Iterable, java.lang.Class)"><!-- --></A><H3>
newEnumSet</H3>
<PRE>
public static &lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Enum.html" title="class or interface in java.lang">Enum</A>&lt;E&gt;&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/EnumSet.html" title="class or interface in java.util">EnumSet</A>&lt;E&gt; <B>newEnumSet</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;E&gt;&nbsp;iterable,
                                                        <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;E&gt;&nbsp;elementType)</PRE>
<DL>
<DD>Returns a new <code>EnumSet</code> instance containing the given elements.
 Unlike <A HREF="http://java.sun.com/javase/6/docs/api/java/util/EnumSet.html#copyOf(java.util.Collection)" title="class or interface in java.util"><CODE>EnumSet.copyOf(Collection)</CODE></A>, this method does not produce an
 exception on an empty collection, and it may be called on any iterable, not
 just a <code>Collection</code>.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="newHashSet()"><!-- --></A><H3>
newHashSet</H3>
<PRE>
public static &lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/HashSet.html" title="class or interface in java.util">HashSet</A>&lt;E&gt; <B>newHashSet</B>()</PRE>
<DL>
<DD>Creates an empty <code>HashSet</code> instance.

 <p><b>Note:</b> if <code>E</code> is an <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Enum.html" title="class or interface in java.lang"><CODE>Enum</CODE></A> type, use <A HREF="http://java.sun.com/javase/6/docs/api/java/util/EnumSet.html#noneOf(java.lang.Class)" title="class or interface in java.util"><CODE>EnumSet.noneOf(java.lang.Class<E>)</CODE></A> instead.

 <p><b>Note:</b> if you need an <i>immutable</i> empty Set, use <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Collections.html#emptySet()" title="class or interface in java.util"><CODE>Collections.emptySet()</CODE></A> instead.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>a newly created, empty <code>HashSet</code></DL>
</DD>
</DL>
<HR>

<A NAME="newHashSet(java.lang.Object)"><!-- --></A><A NAME="newHashSet(E...)"><!-- --></A><H3>
newHashSet</H3>
<PRE>
public static &lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/HashSet.html" title="class or interface in java.util">HashSet</A>&lt;E&gt; <B>newHashSet</B>(E...&nbsp;elements)</PRE>
<DL>
<DD>Creates a <code>HashSet</code> instance containing the given elements.

 <p><b>Note:</b> if <code>E</code> is an <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Enum.html" title="class or interface in java.lang"><CODE>Enum</CODE></A> type, use <A HREF="http://java.sun.com/javase/6/docs/api/java/util/EnumSet.html#of(E, E...)" title="class or interface in java.util"><CODE>EnumSet.of(Enum, Enum...)</CODE></A> instead.

 <p><b>Note:</b> if you need an immutable set without nulls, you should use
 <A HREF="../../../../com/google/common/collect/ImmutableSet.html#of(E...)"><CODE>ImmutableSet.of(Object...)</CODE></A>.

 <p><b>Note:</b> due to a bug in javac 1.5.0_06, we cannot support the
 following:

 <p><code>Set&lt;Base&gt; set = Sets.newHashSet(sub1, sub2);</code>

 <p>where <code>sub1</code> and <code>sub2</code> are references to subtypes of <code>Base</code>, not of <code>Base</code> itself. To get around this, you must use:

 <p><code>Set&lt;Base&gt; set = Sets.&lt;Base&gt;newHashSet(sub1, sub2);</code>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>elements</CODE> - the elements that the set should contain
<DT><B>Returns:</B><DD>a newly created <code>HashSet</code> containing those elements (minus
     duplicates)</DL>
</DD>
</DL>
<HR>

<A NAME="newHashSetWithExpectedSize(int)"><!-- --></A><H3>
newHashSetWithExpectedSize</H3>
<PRE>
public static &lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/HashSet.html" title="class or interface in java.util">HashSet</A>&lt;E&gt; <B>newHashSetWithExpectedSize</B>(int&nbsp;expectedSize)</PRE>
<DL>
<DD>Creates an empty <code>HashSet</code> instance with enough capacity to hold the
 specified number of elements without rehashing.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>expectedSize</CODE> - the expected size
<DT><B>Returns:</B><DD>a newly created <code>HashSet</code>, empty, with enough capacity to
     hold <code>expectedSize</code> elements without rehashing.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></CODE> - if <code>expectedSize</code> is negative</DL>
</DD>
</DL>
<HR>

<A NAME="newHashSet(java.lang.Iterable)"><!-- --></A><H3>
newHashSet</H3>
<PRE>
public static &lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/HashSet.html" title="class or interface in java.util">HashSet</A>&lt;E&gt; <B>newHashSet</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends E&gt;&nbsp;elements)</PRE>
<DL>
<DD>Creates a <code>HashSet</code> instance containing the given elements.

 <p><b>Note:</b> if <code>E</code> is an <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Enum.html" title="class or interface in java.lang"><CODE>Enum</CODE></A> type, use
 <A HREF="../../../../com/google/common/collect/Sets.html#newEnumSet(java.lang.Iterable, java.lang.Class)"><CODE>newEnumSet(Iterable, Class)</CODE></A> instead.

 <p><b>Note:</b> if you need an immutable set without nulls, you should use
 <A HREF="../../../../com/google/common/collect/ImmutableSet.html#copyOf(java.lang.Iterable)"><CODE>ImmutableSet.copyOf(Iterable)</CODE></A>.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>elements</CODE> - the elements that the set should contain
<DT><B>Returns:</B><DD>a newly created <code>HashSet</code> containing those elements (minus
     duplicates)</DL>
</DD>
</DL>
<HR>

<A NAME="newHashSet(java.util.Iterator)"><!-- --></A><H3>
newHashSet</H3>
<PRE>
public static &lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/HashSet.html" title="class or interface in java.util">HashSet</A>&lt;E&gt; <B>newHashSet</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;? extends E&gt;&nbsp;elements)</PRE>
<DL>
<DD>Creates a <code>HashSet</code> instance containing the given elements.

 <p><b>Note:</b> if <code>E</code> is an <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Enum.html" title="class or interface in java.lang"><CODE>Enum</CODE></A> type, you should create an
 <A HREF="http://java.sun.com/javase/6/docs/api/java/util/EnumSet.html" title="class or interface in java.util"><CODE>EnumSet</CODE></A> instead.

 <p><b>Note:</b> if you need an immutable set without nulls, you should use
 <A HREF="../../../../com/google/common/collect/ImmutableSet.html" title="class in com.google.common.collect"><CODE>ImmutableSet</CODE></A>.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>elements</CODE> - the elements that the set should contain
<DT><B>Returns:</B><DD>a newly created <code>HashSet</code> containing those elements (minus
     duplicates)</DL>
</DD>
</DL>
<HR>

<A NAME="newConcurrentHashSet()"><!-- --></A><H3>
newConcurrentHashSet</H3>
<PRE>
public static &lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;E&gt; <B>newConcurrentHashSet</B>()</PRE>
<DL>
<DD>Creates a thread-safe set backed by a hash map. The set is backed by a
 <A HREF="http://java.sun.com/javase/6/docs/api/java/util/concurrent/ConcurrentHashMap.html" title="class or interface in java.util.concurrent"><CODE>ConcurrentHashMap</CODE></A> instance, and thus carries the same concurrency
 guarantees.

 <p>Unlike <code>HashSet</code>, this class does NOT allow <code>null</code> to be
 used as an element. The set is serializable.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>a newly created, empty thread-safe <code>Set</code></DL>
</DD>
</DL>
<HR>

<A NAME="newConcurrentHashSet(java.lang.Object)"><!-- --></A><A NAME="newConcurrentHashSet(E...)"><!-- --></A><H3>
newConcurrentHashSet</H3>
<PRE>
public static &lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;E&gt; <B>newConcurrentHashSet</B>(E...&nbsp;elements)</PRE>
<DL>
<DD>Creates a thread-safe set backed by a hash map and containing the given
 elements. The set is backed by a <A HREF="http://java.sun.com/javase/6/docs/api/java/util/concurrent/ConcurrentHashMap.html" title="class or interface in java.util.concurrent"><CODE>ConcurrentHashMap</CODE></A> instance, and
 thus carries the same concurrency guarantees.

 <p>Unlike <code>HashSet</code>, this class does NOT allow <code>null</code> to be
 used as an element. The set is serializable.

 <p>Please see the notice in <A HREF="../../../../com/google/common/collect/Sets.html#newHashSet(E...)"><CODE>newHashSet(Object...)</CODE></A> about a relevant
 javac bug.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>elements</CODE> - the elements that the set should contain
<DT><B>Returns:</B><DD>a newly created thread-safe <code>Set</code> containing those elements
     (minus duplicates)
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if any of the elements is null</DL>
</DD>
</DL>
<HR>

<A NAME="newConcurrentHashSet(java.lang.Iterable)"><!-- --></A><H3>
newConcurrentHashSet</H3>
<PRE>
public static &lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;E&gt; <B>newConcurrentHashSet</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends E&gt;&nbsp;elements)</PRE>
<DL>
<DD>Creates a thread-safe set backed by a hash map and containing the given
 elements. The set is backed by a <A HREF="http://java.sun.com/javase/6/docs/api/java/util/concurrent/ConcurrentHashMap.html" title="class or interface in java.util.concurrent"><CODE>ConcurrentHashMap</CODE></A> instance, and
 thus carries the same concurrency guarantees.

 <p>Unlike <code>HashSet</code>, this class does NOT allow <code>null</code> to be
 used as an element. The set is serializable.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>elements</CODE> - the elements that the set should contain
<DT><B>Returns:</B><DD>a newly created thread-safe <code>Set</code> containing those elements
     (minus duplicates)
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if <code>elements</code> or any of its contents is
      null</DL>
</DD>
</DL>
<HR>

<A NAME="newConcurrentHashSet(java.util.Iterator)"><!-- --></A><H3>
newConcurrentHashSet</H3>
<PRE>
public static &lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;E&gt; <B>newConcurrentHashSet</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;? extends E&gt;&nbsp;elements)</PRE>
<DL>
<DD>Creates a thread-safe set backed by a hash map and containing the given
 elements. The set is backed by a <A HREF="http://java.sun.com/javase/6/docs/api/java/util/concurrent/ConcurrentHashMap.html" title="class or interface in java.util.concurrent"><CODE>ConcurrentHashMap</CODE></A> instance, and
 thus carries the same concurrency guarantees.

 <p>Unlike <code>HashSet</code>, this class does NOT allow <code>null</code> to be
 used as an element. The set is serializable.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>elements</CODE> - the elements that the set should contain
<DT><B>Returns:</B><DD>a newly created thread-safe <code>Set</code> containing those elements
     (minus duplicates)
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if <code>elements</code> or any of its contents is
     null</DL>
</DD>
</DL>
<HR>

<A NAME="newLinkedHashSet()"><!-- --></A><H3>
newLinkedHashSet</H3>
<PRE>
public static &lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/LinkedHashSet.html" title="class or interface in java.util">LinkedHashSet</A>&lt;E&gt; <B>newLinkedHashSet</B>()</PRE>
<DL>
<DD>Creates an empty <code>LinkedHashSet</code> instance.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>a newly created, empty <code>LinkedHashSet</code></DL>
</DD>
</DL>
<HR>

<A NAME="newLinkedHashSet(java.lang.Iterable)"><!-- --></A><H3>
newLinkedHashSet</H3>
<PRE>
public static &lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/LinkedHashSet.html" title="class or interface in java.util">LinkedHashSet</A>&lt;E&gt; <B>newLinkedHashSet</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends E&gt;&nbsp;elements)</PRE>
<DL>
<DD>Creates a <code>LinkedHashSet</code> instance containing the given elements.

 <p><b>Note:</b> if you need an immutable set without nulls, you should use
 <A HREF="../../../../com/google/common/collect/ImmutableSet.html#copyOf(java.lang.Iterable)"><CODE>ImmutableSet.copyOf(Iterable)</CODE></A>.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>elements</CODE> - the elements that the set should contain, in order
<DT><B>Returns:</B><DD>a newly created <code>LinkedHashSet</code> containing those elements
     (minus duplicates)</DL>
</DD>
</DL>
<HR>

<A NAME="newTreeSet()"><!-- --></A><H3>
newTreeSet</H3>
<PRE>
public static &lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/TreeSet.html" title="class or interface in java.util">TreeSet</A>&lt;E&gt; <B>newTreeSet</B>()</PRE>
<DL>
<DD>Creates an empty <code>TreeSet</code> instance sorted by the natural sort
 ordering of its elements.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>a newly created, empty <code>TreeSet</code></DL>
</DD>
</DL>
<HR>

<A NAME="newTreeSet(java.lang.Comparable)"><!-- --></A><A NAME="newTreeSet(E...)"><!-- --></A><H3>
newTreeSet</H3>
<PRE>
public static &lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/TreeSet.html" title="class or interface in java.util">TreeSet</A>&lt;E&gt; <B>newTreeSet</B>(E...&nbsp;elements)</PRE>
<DL>
<DD>Creates a <code>TreeSet</code> instance containing the given elements sorted by
 their natural ordering.

 <p><b>Note:</b> if you need an immutable sorted set without nulls, you
 should use <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html#of(E...)"><CODE>ImmutableSortedSet.of(Comparable...)</CODE></A>.

 <p>Please see the notice in <A HREF="../../../../com/google/common/collect/Sets.html#newHashSet(E...)"><CODE>newHashSet(Object...)</CODE></A> about a relevant
 javac bug.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>elements</CODE> - the elements that the set should contain
<DT><B>Returns:</B><DD>a newly created <code>TreeSet</code> containing those elements (minus
     duplicates)</DL>
</DD>
</DL>
<HR>

<A NAME="newTreeSet(java.lang.Iterable)"><!-- --></A><H3>
newTreeSet</H3>
<PRE>
public static &lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/TreeSet.html" title="class or interface in java.util">TreeSet</A>&lt;E&gt; <B>newTreeSet</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends E&gt;&nbsp;elements)</PRE>
<DL>
<DD>Creates a <code>TreeSet</code> instance containing the given elements sorted by
 their natural ordering.

 <p><b>Note:</b> If <code>elements</code> is a <code>SortedSet</code> with an explicit
 comparator, this method has different behavior than
 <A HREF="http://java.sun.com/javase/6/docs/api/java/util/TreeSet.html#TreeSet(java.util.SortedSet)" title="class or interface in java.util"><CODE>TreeSet.TreeSet(SortedSet)</CODE></A>, which returns a <code>TreeSet</code> with
 that comparator.

 <p><b>Note:</b> if you need an immutable sorted set without nulls, you
 should use <A HREF="../../../../com/google/common/collect/ImmutableSortedSet.html#copyOf(java.lang.Iterable)"><CODE>ImmutableSortedSet.copyOf(Iterable)</CODE></A>.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>elements</CODE> - the elements that the set should contain
<DT><B>Returns:</B><DD>a newly created <code>TreeSet</code> containing those elements (minus
     duplicates)</DL>
</DD>
</DL>
<HR>

<A NAME="newTreeSet(java.util.Iterator)"><!-- --></A><H3>
newTreeSet</H3>
<PRE>
public static &lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/TreeSet.html" title="class or interface in java.util">TreeSet</A>&lt;E&gt; <B>newTreeSet</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;? extends E&gt;&nbsp;elements)</PRE>
<DL>
<DD>Creates a <code>TreeSet</code> instance containing the given elements sorted by
 their natural ordering.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>elements</CODE> - the elements that the set should contain
<DT><B>Returns:</B><DD>a newly created <code>TreeSet</code> containing those elements (minus
     duplicates)</DL>
</DD>
</DL>
<HR>

<A NAME="newTreeSet(java.util.Comparator)"><!-- --></A><H3>
newTreeSet</H3>
<PRE>
public static &lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/TreeSet.html" title="class or interface in java.util">TreeSet</A>&lt;E&gt; <B>newTreeSet</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Comparator.html" title="class or interface in java.util">Comparator</A>&lt;? super E&gt;&nbsp;comparator)</PRE>
<DL>
<DD>Creates an empty <code>TreeSet</code> instance with the given comparator.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>comparator</CODE> - the comparator to use to sort the set
<DT><B>Returns:</B><DD>a newly created, empty <code>TreeSet</code>
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if <code>comparator</code> is null</DL>
</DD>
</DL>
<HR>

<A NAME="newTreeSet(java.util.Comparator,java.lang.Object)"><!-- --></A><A NAME="newTreeSet(java.util.Comparator, E...)"><!-- --></A><H3>
newTreeSet</H3>
<PRE>
public static &lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/TreeSet.html" title="class or interface in java.util">TreeSet</A>&lt;E&gt; <B>newTreeSet</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Comparator.html" title="class or interface in java.util">Comparator</A>&lt;? super E&gt;&nbsp;comparator,
                                        E...&nbsp;elements)</PRE>
<DL>
<DD>Creates a <code>TreeSet</code> instance containing the given elements sorted by
 the given comparator.

 <p><b>Note:</b> if you need an immutable sorted set without nulls, you
 should use <code>ImmutableSortedSet.orderedBy(comparator).of(elements)</code>.

 <p>Please see the notice in <A HREF="../../../../com/google/common/collect/Sets.html#newHashSet(E...)"><CODE>newHashSet(Object...)</CODE></A> about a relevant
 javac bug.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>comparator</CODE> - the comparator to use to sort the set<DD><CODE>elements</CODE> - the elements that the set should contain
<DT><B>Returns:</B><DD>a newly created <code>TreeSet</code> containing those elements (minus
     duplicates)
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if <code>comparator</code> is null</DL>
</DD>
</DL>
<HR>

<A NAME="newTreeSet(java.util.Comparator, java.lang.Iterable)"><!-- --></A><H3>
newTreeSet</H3>
<PRE>
public static &lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/TreeSet.html" title="class or interface in java.util">TreeSet</A>&lt;E&gt; <B>newTreeSet</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Comparator.html" title="class or interface in java.util">Comparator</A>&lt;? super E&gt;&nbsp;comparator,
                                        <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends E&gt;&nbsp;elements)</PRE>
<DL>
<DD>Creates a <code>TreeSet</code> instance containing the given elements sorted by
 the given comparator.

 <p><b>Note:</b> if you need an immutable sorted set without nulls, you
 should use <code>ImmutableSortedSet.orderedBy(comparator).of(elements)</code>
 instead.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>comparator</CODE> - the comparator to use to sort the set<DD><CODE>elements</CODE> - the elements that the set should contain
<DT><B>Returns:</B><DD>a newly created <code>TreeSet</code> containing those elements (minus
     duplicates)
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if <code>comparator</code> or <code>elements</code> is
     null</DL>
</DD>
</DL>
<HR>

<A NAME="newTreeSet(java.util.Comparator, java.util.Iterator)"><!-- --></A><H3>
newTreeSet</H3>
<PRE>
public static &lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/TreeSet.html" title="class or interface in java.util">TreeSet</A>&lt;E&gt; <B>newTreeSet</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Comparator.html" title="class or interface in java.util">Comparator</A>&lt;? super E&gt;&nbsp;comparator,
                                        <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Iterator.html" title="class or interface in java.util">Iterator</A>&lt;? extends E&gt;&nbsp;elements)</PRE>
<DL>
<DD>Creates a <code>TreeSet</code> instance containing the given elements sorted by
 the given comparator.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>comparator</CODE> - the comparator to use to sort the set<DD><CODE>elements</CODE> - the elements that the set should contain
<DT><B>Returns:</B><DD>a newly created <code>TreeSet</code> containing those elements (minus
     duplicates)
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if <code>comparator</code> or <code>elements</code> is
     null</DL>
</DD>
</DL>
<HR>

<A NAME="newIdentityHashSet(com.google.common.base.ReferenceType)"><!-- --></A><H3>
newIdentityHashSet</H3>
<PRE>
public static &lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;E&gt; <B>newIdentityHashSet</B>(<A HREF="../../../../com/google/common/base/ReferenceType.html" title="enum in com.google.common.base">ReferenceType</A>&nbsp;referenceType)</PRE>
<DL>
<DD>Creates an empty <code>Set</code> that uses identity to determine equality. It
 compares object references, instead of calling <code>equals</code>, to
 determine whether a provided object matches an element in the set. For
 example, <code>contains</code> returns <code>false</code> when passed an object that
 equals a set member, but isn't the same instance. This behavior is similar
 to the way <A HREF="http://java.sun.com/javase/6/docs/api/java/util/IdentityHashMap.html" title="class or interface in java.util"><CODE>IdentityHashMap</CODE></A> handles key lookups.

 <p>The <code>referenceType</code> parameter specifies the kind of reference that
 the returned set uses: <A HREF="../../../../com/google/common/base/ReferenceType.html#STRONG"><CODE>ReferenceType.STRONG</CODE></A>,
 <A HREF="../../../../com/google/common/base/ReferenceType.html#WEAK"><CODE>ReferenceType.WEAK</CODE></A>, or <A HREF="../../../../com/google/common/base/ReferenceType.html#SOFT"><CODE>ReferenceType.SOFT</CODE></A>. The returned set
 is thread-safe when the reference type is <A HREF="../../../../com/google/common/base/ReferenceType.html#WEAK"><CODE>ReferenceType.WEAK</CODE></A> or
 <A HREF="../../../../com/google/common/base/ReferenceType.html#SOFT"><CODE>ReferenceType.SOFT</CODE></A>, but not when the reference type is
 <A HREF="../../../../com/google/common/base/ReferenceType.html#STRONG"><CODE>ReferenceType.STRONG</CODE></A>.
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></CODE> - if <code>referenceType</code> is
     <A HREF="../../../../com/google/common/base/ReferenceType.html#PHANTOM"><CODE>ReferenceType.PHANTOM</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="complementOf(java.util.Collection)"><!-- --></A><H3>
complementOf</H3>
<PRE>
public static &lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Enum.html" title="class or interface in java.lang">Enum</A>&lt;E&gt;&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/EnumSet.html" title="class or interface in java.util">EnumSet</A>&lt;E&gt; <B>complementOf</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;E&gt;&nbsp;collection)</PRE>
<DL>
<DD>Creates an <code>EnumSet</code> consisting of all enum values that are not in
 the specified collection. If the collection is an <A HREF="http://java.sun.com/javase/6/docs/api/java/util/EnumSet.html" title="class or interface in java.util"><CODE>EnumSet</CODE></A>, this
 method has the same behavior as <A HREF="http://java.sun.com/javase/6/docs/api/java/util/EnumSet.html#complementOf(java.util.EnumSet)" title="class or interface in java.util"><CODE>EnumSet.complementOf(java.util.EnumSet<E>)</CODE></A>. Otherwise,
 the specified collection must contain at least one element, in order to
 determine the element type. If the collection could be empty, use
 <A HREF="../../../../com/google/common/collect/Sets.html#complementOf(java.util.Collection, java.lang.Class)"><CODE>complementOf(Collection,Class)</CODE></A> instead of this method.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>collection</CODE> - the collection whose complement should be stored in the
     enum set
<DT><B>Returns:</B><DD>a new, modifiable <code>EnumSet</code> containing all values of the enum
     that aren't present in the given collection
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></CODE> - if <code>collection</code> is not an
     <code>EnumSet</code> instance and contains no elements</DL>
</DD>
</DL>
<HR>

<A NAME="complementOf(java.util.Collection, java.lang.Class)"><!-- --></A><H3>
complementOf</H3>
<PRE>
public static &lt;E extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Enum.html" title="class or interface in java.lang">Enum</A>&lt;E&gt;&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/EnumSet.html" title="class or interface in java.util">EnumSet</A>&lt;E&gt; <B>complementOf</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;E&gt;&nbsp;collection,
                                                          <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;E&gt;&nbsp;type)</PRE>
<DL>
<DD>Creates an <code>EnumSet</code> consisting of all enum values that are not in
 the specified collection. This is equivalent to
 <A HREF="http://java.sun.com/javase/6/docs/api/java/util/EnumSet.html#complementOf(java.util.EnumSet)" title="class or interface in java.util"><CODE>EnumSet.complementOf(java.util.EnumSet<E>)</CODE></A>, but can act on any input collection, as long
 as the elements are of enum type.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>collection</CODE> - the collection whose complement should be stored in the
     <code>EnumSet</code><DD><CODE>type</CODE> - the type of the elements in the set
<DT><B>Returns:</B><DD>a new, modifiable <code>EnumSet</code> initially containing all the
     values of the enum not present in the given collection</DL>
</DD>
</DL>
<HR>

<A NAME="newSetFromMap(java.util.Map)"><!-- --></A><H3>
newSetFromMap</H3>
<PRE>
public static &lt;E&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;E&gt; <B>newSetFromMap</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;E,<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Boolean.html" title="class or interface in java.lang">Boolean</A>&gt;&nbsp;map)</PRE>
<DL>
<DD>Returns a set backed by the specified map. The resulting set displays
 the same ordering, concurrency, and performance characteristics as the
 backing map. In essence, this factory method provides a <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util"><CODE>Set</CODE></A>
 implementation corresponding to any <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html" title="class or interface in java.util"><CODE>Map</CODE></A> implementation. There is no
 need to use this method on a <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html" title="class or interface in java.util"><CODE>Map</CODE></A> implementation that already has a
 corresponding <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util"><CODE>Set</CODE></A> implementation (such as <A HREF="http://java.sun.com/javase/6/docs/api/java/util/HashMap.html" title="class or interface in java.util"><CODE>HashMap</CODE></A> or
 <A HREF="http://java.sun.com/javase/6/docs/api/java/util/TreeMap.html" title="class or interface in java.util"><CODE>TreeMap</CODE></A>).

 <p>Each method invocation on the set returned by this method results in
 exactly one method invocation on the backing map or its <tt>keySet</tt>
 view, with one exception. The <tt>addAll</tt> method is implemented as a
 sequence of <tt>put</tt> invocations on the backing map.

 <p>The specified map must be empty at the time this method is invoked,
 and should not be accessed directly after this method returns. These
 conditions are ensured if the map is created empty, passed directly
 to this method, and no reference to the map is retained, as illustrated
 in the following code fragment:
 <pre>
    Set&lt;Object&gt; identityHashSet = Sets.newSetFromMap(
        new IdentityHashMap&lt;Object, Boolean&gt;()); </pre>

 This method has the same behavior as the JDK 6 method
 <code>Collections.newSetFromMap()</code>. The returned set is serializable if
 the backing map is.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>map</CODE> - the backing map
<DT><B>Returns:</B><DD>the set backed by the map
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></CODE> - if <tt>map</tt> is not empty</DL>
</DD>
</DL>
<HR>

<A NAME="union(java.util.Set, java.util.Set)"><!-- --></A><H3>
union</H3>
<PRE>
public static &lt;E&gt; <A HREF="../../../../com/google/common/collect/Sets.SetView.html" title="class in com.google.common.collect">Sets.SetView</A>&lt;E&gt; <B>union</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;? extends E&gt;&nbsp;set1,
                                        <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;? extends E&gt;&nbsp;set2)</PRE>
<DL>
<DD>Returns an unmodifiable <b>view</b> of the union of two sets. The returned
 set contains all elements that are contained in either backing set.
 Iterating over the returned set iterates first over all the elements of
 <code>set1</code>, then over each element of <code>set2</code>, in order, that is not
 contained in <code>set1</code>.

 <p>Results are undefined if <code>set1</code> and <code>set2</code> are sets based on
 different equivalence relations (as <A HREF="http://java.sun.com/javase/6/docs/api/java/util/HashSet.html" title="class or interface in java.util"><CODE>HashSet</CODE></A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/util/TreeSet.html" title="class or interface in java.util"><CODE>TreeSet</CODE></A>, and
 the <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Map.html#keySet()" title="class or interface in java.util"><CODE>Map.keySet()</CODE></A> of an <A HREF="http://java.sun.com/javase/6/docs/api/java/util/IdentityHashMap.html" title="class or interface in java.util"><CODE>IdentityHashMap</CODE></A> all are).
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="intersection(java.util.Set, java.util.Set)"><!-- --></A><H3>
intersection</H3>
<PRE>
public static &lt;E&gt; <A HREF="../../../../com/google/common/collect/Sets.SetView.html" title="class in com.google.common.collect">Sets.SetView</A>&lt;E&gt; <B>intersection</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;E&gt;&nbsp;set1,
                                               <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;?&gt;&nbsp;set2)</PRE>
<DL>
<DD>Returns an unmodifiable <b>view</b> of the intersection of two sets. The
 returned set contains all elements that are contained by both backing sets.
 The iteration order of the returned set matches that of <code>set1</code>.

 <p>Results are undefined if <code>set1</code> and <code>set2</code> are sets based
 on different equivalence relations (as <code>HashSet</code>, <code>TreeSet</code>,
 and the keySet of an <code>IdentityHashMap</code> all are).
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="difference(java.util.Set, java.util.Set)"><!-- --></A><H3>
difference</H3>
<PRE>
public static &lt;E&gt; <A HREF="../../../../com/google/common/collect/Sets.SetView.html" title="class in com.google.common.collect">Sets.SetView</A>&lt;E&gt; <B>difference</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;E&gt;&nbsp;set1,
                                             <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;?&gt;&nbsp;set2)</PRE>
<DL>
<DD>Returns an unmodifiable <b>view</b> of the difference of two sets. The
 returned set contains all elements that are contained by <code>set1</code> and
 not contained by <code>set2</code>. <code>set2</code> may also contain elements not
 present in <code>set1</code>; these are simply ignored. The iteration order of
 the returned set matches that of <code>set1</code>.

 <p>Results are undefined if <code>set1</code> and <code>set2</code> are sets based
 on different equivalence relations (as <code>HashSet</code>, <code>TreeSet</code>,
 and the keySet of an <code>IdentityHashMap</code> all are).
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="filter(java.util.Set, com.google.common.base.Predicate)"><!-- --></A><H3>
filter</H3>
<PRE>
public static &lt;T&gt; <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;T&gt; <B>filter</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;T&gt;&nbsp;unfiltered,
                                <A HREF="../../../../com/google/common/base/Predicate.html" title="interface in com.google.common.base">Predicate</A>&lt;? super T&gt;&nbsp;predicate)</PRE>
<DL>
<DD>Returns the elements of <code>unfiltered</code> that satisfy a predicate. The
 returned set is a live view of <code>unfiltered</code>; changes to one affect
 the other.

 <p>The resulting set's iterator does not support <code>remove()</code>, but all
 other set methods are supported. The set's <code>add()</code> and
 <code>addAll()</code> methods throw an <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang"><CODE>IllegalArgumentException</CODE></A> if an
 element that doesn't satisfy the predicate is provided. When methods such
 as <code>removeAll()</code> and <code>clear()</code> are called on the filtered set,
 only elements that satisfy the filter will be removed from the underlying
 collection.

 <p>The returned set isn't threadsafe or serializable, even if
 <code>unfiltered</code> is.

 <p>Many of the filtered set's methods, such as <code>size()</code>, iterate
 across every element in the underlying set and determine which elements
 satisfy the filter. When a live view is <i>not</i> needed, it may be faster
 to copy the filtered set and use the copy.

 <p>The <code>clear()</code>, <code>removeAll()</code>, and <code>retainAll()</code>
 methods all call <A HREF="http://java.sun.com/javase/6/docs/api/java/util/Iterator.html#remove()" title="class or interface in java.util"><CODE>Iterator.remove()</CODE></A> on the underlying collection's
 iterator. Consequently, methods like the following throw an
 <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang"><CODE>UnsupportedOperationException</CODE></A>.
 <pre>  Sets.filter(Sets.filter(set, predicate1),
     predicate2)).clear();</pre>
 Instead, call
 <A HREF="../../../../com/google/common/base/Predicates.html#and(com.google.common.base.Predicate, com.google.common.base.Predicate)"><CODE>Predicates.and(Predicate, Predicate)</CODE></A> to
 combine the predicates and pass the combined predicate to this method.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../com/google/common/collect/SetMultimap.html" title="interface in com.google.common.collect"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../com/google/common/collect/Sets.SetView.html" title="class in com.google.common.collect"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?com/google/common/collect/Sets.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Sets.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
